# Get a function

Launch stage: GA

`GET /api/2.1/unity-catalog/functions/{full_name_arg}`

Gets a function from within a parent catalog and schema.
 For the fetch to succeed, the user must satisfy one of the following requirements:
 - Is a metastore admin
 - Is an owner of the function's parent catalog
 - Have the **USE_CATALOG** privilege on the function's parent catalog and be the owner of the function
 - Have the **USE_CATALOG** privilege on the function's parent catalog, the **USE_SCHEMA** privilege on the function's parent schema, and the **EXECUTE** privilege on the function itself

API scopes: unity-catalog

## Path parameters

- `full_name_arg` (string, required)
  The fully-qualified name of the function (of the form __catalog_name__.__schema_name__.__function__name__).

## Query parameters

- `include_browse` (boolean, optional)
  Whether to include functions in the response for which the principal can only access selective metadata for

## Returns

Returns the FunctionInfo object.

## Response

```json
{
  "name": "string",
  "catalog_name": "string",
  "schema_name": "string",
  "input_params": {
    "parameters": [
      {}
    ]
  },
  "data_type": "BOOLEAN",
  "full_data_type": "string",
  "routine_body": "SQL",
  "routine_definition": "string",
  "parameter_style": "S",
  "is_deterministic": true,
  "sql_data_access": "CONTAINS_SQL",
  "is_null_call": true,
  "security_type": "DEFINER",
  "specific_name": "string",
  "return_params": {
    "parameters": [
      {}
    ]
  },
  "external_name": "string",
  "external_language": "string",
  "sql_path": "string",
  "owner": "string",
  "comment": "string",
  "properties": "string",
  "routine_dependencies": {
    "dependencies": [
      {}
    ]
  },
  "metastore_id": "string",
  "full_name": "string",
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "function_id": "string",
  "browse_only": true
}
```

